%{!?python3_pkgversion:%global python3_pkgversion 3}

%global project notifications
%global project_name django-notifications
%global pypi_name django-notifications-hq
%global pypi_name_with_underscore django_notifications_hq

Name:           python-%{pypi_name}
Version:        1.3
Release:        1%{?dist}
Summary:        GitHub notifications alike app for Django

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/7c/1d/aa8b1bd776af36883e23cbb3e9fef60ae9016e7896c3839cc89ab1c68a91/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-django
BuildRequires:  python3-pytz
BuildRequires:  python3-django-model-utils
BuildRequires:  python3-django-jsonfield

%description
GitHub notification alike app for Django, derived from django-activity-stream.

%package -n python%{python3_pkgversion}-%{pypi_name}
Requires:  python3-django
Requires:  python3-pytz
Requires:  python3-django-model-utils
Requires:  python3-django-jsonfield
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
GitHub notification alike app for Django, derived from django-activity-stream.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc AUTHORS.txt CHANGELOG.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/%{project}
%{python3_sitelib}/%{pypi_name_with_underscore}-%{version}-py?.?.egg-info

%changelog
* Thu Feb 22 2018 Sundeep Anand <suanand@redhat.com> - 1.3-1
- New release, version bump up.

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2-2
- Rebuild for Python 3.6

* Mon Nov 21 2016 Sundeep Anand <suanand@redhat.com> - 1.2-1
- New release, version bump up.

* Wed Aug 10 2016 Sundeep Anand <suanand@redhat.com> - 1.1-1
- Initial RPM Package.
